Project

General

Profile

Bug #10586

/etc/pam.conf probably obsolete

Added by Hubert Garavel 5 months ago. Updated 3 months ago.

Status:
Rejected
Priority:
Normal
Assignee:
-
Category:
-
Target version:
-
Start date:
2019-03-25
Due date:
% Done:

0%

Estimated time:
Difficulty:
Medium
Tags:
needs-triage

Description

In /etc/pam.conf, the line

gdm-autologin account sufficient pam_allow.so.1

seems obsolete, because GDM has been replaced by lightdm.

Also, the lines concerning "rlogin" and "rsh" might be obsolete too,
as they refer to insecure protocols that are deprecated. Commenting
out these lines does not prevent ssh from working properly.

History

#1

Updated by Michal Nowak 3 months ago

  • Status changed from New to Rejected

I believe this is expected by LightDM, see https://github.com/OpenIndiana/oi-userland/blob/oi/hipster/components/desktop/lightdm/patches/17-customize-config.patch. It's just a name.

rloging and rsh should not scare anyone. I believe they are affecting things only when respective services are setup by the administrator. They should not be used by anyone, but we won't prevent it.

Anyway, etc/pam.conf is part of SUNWcs which is illumos project from which OpenIndiana just inherits. If you believe this is a problem, file new bug there: https://www.illumos.org/projects/illumos-gate/issues/new.

Also available in: Atom PDF